高版本的tomcat的兼容配置

原创
2020/09/29 09:48
阅读数 218

背景

vue开发时,请求后台报如下错误,通过查询,发现是因为高版本的tomcat不能识别一些特殊字符所致

解决方案

在tomcat-conf-server.xml配置中,加上红色配置部分,即可。

<Connector port="8080" protocol="HTTP/1.1"
               connectionTimeout="20000"
               redirectPort="8443" URIEncoding="utf-8" relaxedPathChars="|{}[],%"
      relaxedQueryChars="|{}[],%"
/>

展开阅读全文
加载中

作者的其它热门文章

打赏
0
0 收藏
分享
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部